# IRsPaintHighlighter Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | SetUVENode ([in] IRsNode *pNode)
HRESULT | SetActive ([in] RtBool active)
HRESULT | IsActive ([out, retval] RtBool *pActive)
HRESULT | SetSelectionElement ([in] UVESelectionPrimitive element)
HRESULT | HighlightSelection ()
HRESULT | ClearHighlight ()
HRESULT | SetCurrentTool ([in] UVEActiveTool current_tool)
HRESULT | SetViewportData ([in] const RtUVcoord &panning,[in] RtFloat zoom,[in] RtFloat aspect)
HRESULT | SetViewCoord ([in] const RtUVcoord &panning)

## Detailed Description

Used to highlight the elements of UV mapping under mouse cursor.

- Active when dynapick or paint selection is active.
- Updates of highlight are synchronized to master thread.
- Current highlight is stored in form of UV selection in hidden connector CON_UVE_HIGHLIGHT.
- Uses CRsHighlightSelectionBuilder to construct the highlight.

## Member Function Documentation

HRESULT IRsPaintHighlighter::SetUVENode | ( | [in] IRsNode * | pNode | ) |

Sets the target UV editor node in which the highlight is displayed.

Parameters:

  | pNode | [in] Set UV editor node.

HRESULT IRsPaintHighlighter::SetActive | ( | [in] RtBool | active | ) |

Sets the active state of highlighter.

- If not active, blank highlight is produced.

Parameters:

  | active | [in] Set active state.

HRESULT IRsPaintHighlighter::IsActive | ( | [out, retval] RtBool * | pActive | ) |

Queries the active state of highlighter.

Returns:
  pActive [out,retval] Returns active state.

HRESULT IRsPaintHighlighter::SetSelectionElement | ( | [in] UVESelectionPrimitive | element | ) |

Sets the element to highlight (nearest/vertex/edge/triangle/face/patch).

Parameters:

  | element | [in] Set element.

HRESULT IRsPaintHighlighter::HighlightSelection | ( |  | ) |

Schedules synchronous command for highlight update (SyncHighlightSelection).

HRESULT IRsPaintHighlighter::ClearHighlight | ( |  | ) |

Schedules synchronous comand for clearing current highlight (SyncClearSelection).

HRESULT IRsPaintHighlighter::SetCurrentTool | ( | [in] UVEActiveTool | current_tool | ) |

Sets current tool to determine the way elements are highlighted.
Values which make sense are:

- UVET_Dynapick
- UVET_SelectPaint
- UVET_EdgeFlip

Parameters:

  | current_tool | [in] Set current tool.

HRESULT IRsPaintHighlighter::SetViewportData | ( | [in] const RtUVcoord & | panning,
|  | [in] RtFloat | zoom,
|  | [in] RtFloat | aspect |
| ) |  |  |

Sets the viewport data.

Parameters:

  | panning | [in] .
  | zoom | [in] .
  | aspect | [in] .

HRESULT IRsPaintHighlighter::SetViewCoord | ( | [in] const RtUVcoord & | panning | ) |

Sets current mouse cursor position in view coordinate system (normalized window coordinate (0,0->1,1).

Parameters:

  | panning | [in] .